% author: Matthias Humet
% 
%version of paper: may 20th 2011.

function [ Ghat ] = geronimus_bwd( G,alpha )
%GERONIMUS_BWD This is an exact implementation of Algorithm 5.1 (bwd) of
%the paper. 

P = [0 1;1 0];
n = length(G);
G = G(end:-1:1);
for k = 1:n
    G{k} = P*G{k}'*P;
end

Ghat = christoffel(G,alpha');

Ghat = Ghat(end:-1:1);
for k = 1:n
    Ghat{k} = P*Ghat{k}'*P;
end

end

