% author: Matthias Humet
%
%
function [ G ] = givens_alg( x,y )
%GIVENS3 Calculate givens reflector G = [ c' s'; s -c], such that
%   G*[x;y] = [r;0],    with r positive real. (1)
% This means that c = x/r and s = y/r.
% Hence there is a unique reflector satisfying (1).
%
% Note that if y is positive real, also s will be positive real.

r = sqrt(abs(x)^2+abs(y)^2); % enable vpa

c = x/r;
s = y/r;


G = [c' s'; s -c];

end

