% author: Matthias Humet
% 
%
function [ c2 ] = uvarov_moments( c1, m, alpha )
%UVAROV_MOMENTS
%   Given a sequence of moments c1, and two complex numbers m and alpha,
%   the Uvarov transformed sequence c2 is computed.
%
%   If alpha or m is zero, c2 == c1.

n = length(c1)-1;

if alpha ~= 0 && m~= 0
    c2 = c1 + m*alpha.^[0:n].' + m'*alpha'.^[0:-1:-n].';
else
    c2 = c1;
end

end

